Harmony IntegrationHarmony Integration

Item Category

POST /api/insurance/SearchItemCategory

🗂️ Retrieve all available device categories — such as Phone, Tablet, or Laptop — to use in subsequent API calls.

✅ No request body is required for this endpoint.

POST
/api/insurance/SearchItemCategory

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X POST "https://jubilee-ws.test.harmony.nl/api/insurance/SearchItemCategory"
{
  "success": true,
  "errors": null,
  "itemCategories": [
    {
      "code": "DESKTOP",
      "name": "Desktop"
    },
    {
      "code": "NOTEBOOK",
      "name": "Notebook"
    },
    {
      "code": "PHONE",
      "name": "Mobile phone"
    },
    {
      "code": "TABLET",
      "name": "Tablet"
    },
    {
      "code": "WEARABLES",
      "name": "Smartwatch"
    },
    {
      "code": "OTHER",
      "name": "Other electronics"
    }
  ]
}